## org.eclipse.emf.ocl.expressions.impl
Class AssociationClassCallExpImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ocl.uml.impl.TypedElementImpl
                                  org.eclipse.emf.ocl.expressions.impl.OCLExpressionImpl
                                      org.eclipse.emf.ocl.expressions.impl.CallExpImpl
                                          org.eclipse.emf.ocl.expressions.impl.FeatureCallExpImpl
                                              org.eclipse.emf.ocl.expressions.impl.NavigationCallExpImpl
                                                  org.eclipse.emf.ocl.expressions.impl.AssociationClassCallExpImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, InternalEObject, AssociationClassCallExp, CallExp, FeatureCallExp, NavigationCallExp, OCLExpression, TypedElement, ASTNode, CallingASTNode, Visitable

    public class AssociationClassCallExpImpl

extends NavigationCallExpImpl
implements AssociationClassCallExp

An implementation of the model object 'Association Class Call Exp'.

The following features are implemented:

- `Referred Association Class`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static String` `copyright`
`protected EClass` `referredAssociationClass` The cached value of the '`Referred Association Class`' reference

Fields inherited from class org.eclipse.emf.ocl.expressions.impl.NavigationCallExpImpl
`navigationSource, qualifier`

Fields inherited from class org.eclipse.emf.ocl.expressions.impl.FeatureCallExpImpl
`MARKED_PRE_EDEFAULT, MARKED_PRE_EFLAG`

Fields inherited from class org.eclipse.emf.ocl.expressions.impl.CallExpImpl
`PROPERTY_END_POSITION_EDEFAULT, PROPERTY_START_POSITION_EDEFAULT, propertyEndPosition, propertyStartPosition, source`

Fields inherited from class org.eclipse.emf.ocl.expressions.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.emf.ocl.uml.impl.TypedElementImpl
`type`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `AssociationClassCallExpImpl()`

Method Summary
`Object` `accept(Visitor v)` Accept a visitor
`EClass` `basicGetReferredAssociationClass()`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EClass` `getReferredAssociationClass()`
`void` `setReferredAssociationClass(EClass newReferredAssociationClass)`

Methods inherited from class org.eclipse.emf.ocl.expressions.impl.NavigationCallExpImpl
`basicGetNavigationSource, eInverseRemove, getNavigationSource, getQualifier, setNavigationSource`

Methods inherited from class org.eclipse.emf.ocl.expressions.impl.FeatureCallExpImpl
`isMarkedPre, setMarkedPre, toString`

Methods inherited from class org.eclipse.emf.ocl.expressions.impl.CallExpImpl
`basicSetSource, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getPropertyEndPosition, getPropertyStartPosition, getSource, setPropertyEndPosition, setPropertyStartPosition, setSource`

Methods inherited from class org.eclipse.emf.ocl.expressions.impl.OCLExpressionImpl
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from class org.eclipse.emf.ocl.uml.impl.TypedElementImpl
`basicGetType, getType, setType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ocl.expressions.NavigationCallExp
`getNavigationSource, getQualifier, setNavigationSource`

Methods inherited from interface org.eclipse.emf.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.emf.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

### referredAssociationClass

    protected EClass referredAssociationClass

  The cached value of the '`Referred Association Class`' reference.

  See Also:
    `getReferredAssociationClass()`

Constructor Detail

### AssociationClassCallExpImpl

    protected AssociationClassCallExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `NavigationCallExpImpl`

### accept

    public Object accept(Visitor v)

  Accept a visitor

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `OCLExpressionImpl`
  Parameters:
    `v` - the visitor to accept

### getReferredAssociationClass

    public EClass getReferredAssociationClass()

  Specified by:
    `getReferredAssociationClass` in interface `AssociationClassCallExp`
  Returns:
    the value of the 'Referred Association Class' reference.
  See Also:
    `AssociationClassCallExp.setReferredAssociationClass(EClass)`, `ExpressionsPackage.getAssociationClassCallExp_ReferredAssociationClass()`

### basicGetReferredAssociationClass

    public EClass basicGetReferredAssociationClass()

### setReferredAssociationClass

    public void setReferredAssociationClass(EClass newReferredAssociationClass)

  Specified by:
    `setReferredAssociationClass` in interface `AssociationClassCallExp`
  Parameters:
    `newReferredAssociationClass` - the new value of the 'Referred Association Class' reference.
  See Also:
    `AssociationClassCallExp.getReferredAssociationClass()`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `NavigationCallExpImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `NavigationCallExpImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `NavigationCallExpImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `NavigationCallExpImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.